import { defineComponent as p, mergeModels as r, useModel as m, createBlock as s, openBlock as d, unref as o } from "vue";
import { useI18n as c } from "vue-i18n";
import { a as f } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const V = /* @__PURE__ */ p({
  __name: "SimplePricingValueToFloatValueExtension",
  props: /* @__PURE__ */ r({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(t) {
    const e = m(t, "modelValue"), { t: a } = c(), u = [
      {
        value: "null",
        title: "Null"
      },
      {
        value: "0",
        title: "0"
      }
    ];
    return (_, l) => (d(), s(o(f), {
      modelValue: e.value.emptyValue,
      "onUpdate:modelValue": l[0] || (l[0] = (n) => e.value.emptyValue = n),
      items: u,
      label: o(a)("datahub-plugin.etl.simple-pricing-to-float.EmptyValue"),
      "max-width": "567",
      "persistent-placeholder": ""
    }, null, 8, ["modelValue", "label"]));
  }
});
function i(t) {
  const e = t;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          etl: {
            "simple-pricing-to-float": {
              EmptyValue: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Empty value" } }
            }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          etl: {
            "simple-pricing-to-float": {
              EmptyValue: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Leerer Wert" } }
            }
          }
        }
      }
    }
  });
}
typeof i == "function" && i(V);
export {
  V as default
};
